/**
 * @param {ElementSpec} elSpec
 * @param {HTMLElement} mountPoint
 * @param {object} props
 * @param {HTMLElement | null} element
 */
export function mount(elSpec: ElementSpec, mountPoint: HTMLElement, props: object, element: HTMLElement | null): void;
/**
 * Updates a custom element by calling `ReactDOM.render()`.
 * @private
 *
 * @param {ElementSpec} elSpec
 * @param {HTMLElement & { __remountRoot?: any }} mountPoint
 * @param {object} props
 * @param {HTMLElement | null} element
 */
export function update(elSpec: ElementSpec, mountPoint: HTMLElement & {
    __remountRoot?: any;
}, props: object, element: HTMLElement | null): void;
/**
 * Unmounts a component.
 * @private
 *
 * @param {ElementSpec} _elSpec
 * @param {HTMLElement & { __remountRoot?: any }} mountPoint
 */
export function unmount(_elSpec: ElementSpec, mountPoint: HTMLElement & {
    __remountRoot?: any;
}): void;
export type ElementSpec = import('../types').ElementSpec;
