/**
 * Detect what API can be used.
 *
 * @example
 *     Remount.getStrategy().name
 */
export function getStrategy(): import("./types").Strategy | undefined;
/**
 * Registers custom elements and links them to React components.
 * @param {ElementMap} components
 * @param {Defaults=} defaults
 *
 * @example
 *     define({ 'x-tooltip': Tooltip })
 *
 * @example
 *     define(
 *       { 'x-tooltip': Tooltip },
 *       { attributes: ['title', 'body'] }
 *     )
 */
export function define(components: ElementMap, defaults?: Defaults | undefined): void;
/**
 * @param {Adapter} adapter
 */
export function defineWithAdapter(adapter: Adapter): (components?: {}, options?: Defaults) => void;
export type Adapter = import('./types').Adapter;
export type Component = import('./types').Component;
export type Defaults = import('./types').Defaults;
export type ElementMap = import('./types').ElementMap;
export type ElementSpec = import('./types').ElementSpec;
export type PropertyMap = import('./types').PropertyMap;
export type Strategy = import('./types').Strategy;
