export function isSupported(): boolean;
/**
 * Defines a custom element.
 *
 * @example
 *     defineElement(
 *       { component: MyComponent },
 *       'my-div',
 *       {
 *         onMount: () => {},
 *         onUpdate: () => {},
 *         onUnmount: () => {},
 *       }
 *     )
 *
 * @private
 * @param {ElementSpec} elSpec
 * @param {string} elName
 * @param {ElementEvents} events
 */
export function defineElement(elSpec: ElementSpec, elName: string, events: ElementEvents): void;
/**
 * Shadow DOM is not supported with the Mutation Observer strategy.
 */
export function supportsShadow(): boolean;
/**
 * The name of this strategy.
 * @type string
 */
export const name: string;
/**
 * List of observers tags.
 * @type ObserverList
 */
export const observers: ObserverList;
export type ElementSpec = import('../types').ElementSpec;
export type ElementEvents = import('../types').ElementEvents;
export type ObserverList = import('../types').ObserverList;
